#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kio-gdrive
Version: 1.1.1
Release:        %mkrel %{rel}
Summary:        KIO Slave to access Google Drive
License:        GPLv2
Group:          Graphical desktop/KDE
URL:            https://phabricator.kde.org/project/profile/72/
Source0:        http://download.kde.org/stable/kio-gdrive/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5GAPI) >= 5.3.1

BuildRequires:  cmake(Qt5Keychain) >= 0.6.0

Recommends:     %{name}-handbook

%description
KIO Slave to access Google Drive service.

%files -f kio5_gdrive.lang
%doc README.md HACKING
%license COPYING
%dir %{_kf5_plugindir}/kio
%{_kf5_plugindir}/kio/gdrive.so
%{_kf5_datadir}/remoteview/gdrive-network.desktop

#--------------------------------------------------------------------

%package        handbook
Summary:        Kio-gdrive Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{version}-%{release}

%description    handbook
This package provides Kio-gdrive handbook.

%files handbook
%{_kf5_docdir}/HTML/*/kioslave5/gdrive/

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang kio5_gdrive


%changelog
* Thu Feb 16 2017 daviddavid <daviddavid> 1.1.1-1.mga6
+ Revision: 1086465
- new version: 1.1.1

* Fri Jan 27 2017 daviddavid <daviddavid> 1.1.0-1.mga6
+ Revision: 1083588
- new version: 1.1.0
- add subpackage kio-gdrive-handbook

* Fri Jan 13 2017 daviddavid <daviddavid> 1.0.5-1.mga6
+ Revision: 1081492
- new version: 1.0.5

* Sat Nov 12 2016 daviddavid <daviddavid> 1.0.4-1.mga6
+ Revision: 1066633
- new version: 1.0.4

* Sat Oct 15 2016 daviddavid <daviddavid> 1.0.3-1.mga6
+ Revision: 1060840
- new version: 1.0.3

* Fri Oct 07 2016 daviddavid <daviddavid> 1.0.2-1.mga6
+ Revision: 1059314
- new version: 1.0.2 Final

* Sat Sep 24 2016 daviddavid <daviddavid> 0.9.90-1.mga6
+ Revision: 1055673
- new version: 0.9.90

* Fri Sep 09 2016 daviddavid <daviddavid> 0.9.81-1.mga6
+ Revision: 1050997
- initial package kio-gdrive

